## glstereosplit

glstereosplit

## Types and Values

struct | GstGLStereoSplit

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstGLStereoSplit

## Description

Receive a stereoscopic video stream and split into left/right

#### Examples

    1

    gst-launch-1.0 videotestsrc ! glstereosplit name=s ! queue ! glimagesink s. ! queue ! glimagesink

FBO (Frame Buffer Object) and GLSL (OpenGL Shading Language) are required.

## Synopsis

### Element Information

plugin | opengl
author | Jan Schmidt <jan@centricular.com> Matthew Waters <matthew@centricular.com>
class | Codec/Converter

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | left
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | right
direction | source
presence | always
details | video/x-raw(memory:GLMemory), format=(string)RGBA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstGLStereoSplit

    struct GstGLStereoSplit;